# VLSI SAPD Documentation

Presentation | AGDS | CIF | DTR | OPENCHAMS | SPICE | Links & Contact

Public Member Functions
Schematic::Infos Class Reference

## Public Member Functions
const std::string & | getOrientation ()
| returns the orientation.
double | getX ()
| returns the x coordinate.
double | getY ()
| returns the y coordinate.
| Infos (double x, double y, const std::string &orient)
| creates a new Infos object. More...

## Detailed Description

This class describes schematic informations for an instance. It contains x and y coordinates and the orientation of the instance.

## Constructor & Destructor Documentation

## ◆ Infos()

Infos | ( | double | x,
|  | double | y,
|  | const std::string & | orient
| ) |  |

creates a new Infos object.

Parameters

  x | the x coordinate.
  y | the y corrdinate.
  orient | the orientation.

Generated by doxygen 1.8.14 on Thu Oct 18 2018 | Return to top of page

VLSI SAPD Documentation | Copyright © 2010 - 2011 UPMC All rights reserved